Bug 990772 - Build pretty table package for python26 under el5 epel
Build pretty table package for python26 under el5 epel
Product: Fedora EPEL
Classification: Fedora
Component: python-prettytable (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Lalancette
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-07-31 21:20 EDT by Tom Scofield
Modified: 2017-04-06 06:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-04-06 06:04:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom Scofield 2013-07-31 21:20:22 EDT
Description of problem: 
Build pretty table package for python26 under el5 epel.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
The latest release of cloud-init requires prettytable.  I was able to find a spec file to build this for python26 on el5.  The spec file appears to be a slightly modified version of the spec file used on epel.
Comment 1 Pádraig Brady 2013-08-01 06:01:46 EDT
Interesting. So you're building cloud-init-0.7.x under el5
I thought there might be more dependency issues than prettytable.
Would it be feasible to update EPEL5 cloud-init to 0.7.x do you think?
Comment 2 Steven Hardy 2013-08-01 07:54:49 EDT
Background info from last time I looked at this:

Note that if you want to build cloud-init >= 0.7.2 you will need a recent (>= 2.6.0) version of python-boto IME, or the ec2 metadata retrieval doesn't work properly.  

0.7.1 seemed to work OK with boto 2.5.2 on F17, but had other issues with SSH key installation for non-distro-default users.

The current EPEL5 version of boto is python-boto-1.9b-6.el5, which seems unlikely to work with 0.7.2.

Also note that if you do rebase python-boto to 2.6.0 it introduces a non-backwards compatible change as it moves many AWS interfaces to using v4 signatures with no way to specify the previous behavior.  I guess this may be a problem for some EL5 users who may prefer interface stability at all costs.
Comment 3 Tom Scofield 2013-08-01 19:51:54 EDT
I need cloud-init 0.7.x for the cloud-drive support.  The python26-boto for el5 in epel is at version 2.5.2 so its not as far back as python-boto.  I was able to build cloud-init-0.7.2 against python26 once I installed the python26-prettytable.  I have not tested all of the functionality of cloud-inti yet but the basic functions I need worked.  

Adding the pyhton26-prettytable package would pave the way for current versions of the cloud-init package.
Comment 4 Abel Lopez 2014-08-15 17:17:00 EDT
Same issue here, building cloud-init 0.7.5 today, seems like most dependencies are present in python26- form, expect for python26-prettytable
Comment 5 Fedora End Of Life 2017-04-06 06:04:00 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.